Package org.jboss.logmanager.config

## Interface FilterConfiguration

All Superinterfaces:
  `NamedConfigurable`, `ObjectConfigurable<java.util.logging.Filter>`, `PropertyConfigurable`

    public interface FilterConfiguration
    extends ObjectConfigurable<java.util.logging.Filter>, NamedConfigurable, PropertyConfigurable

A configuration for a filter.

Author:
  David M. Lloyd

### Method Summary

### Methods inherited from interface org.jboss.logmanager.config.NamedConfigurable

`getName`

### Methods inherited from interface org.jboss.logmanager.config.ObjectConfigurable

`getClassName, getInstance, getModuleName`

### Methods inherited from interface org.jboss.logmanager.config.PropertyConfigurable

`addPostConfigurationMethod, getConstructorProperties, getPostConfigurationMethods, getPropertyNames, getPropertyValueExpression, getPropertyValueString, hasConstructorProperty, hasProperty, removePostConfigurationMethod, removeProperty, setPostConfigurationMethods, setPostConfigurationMethods, setPropertyValueExpression, setPropertyValueExpression, setPropertyValueString`